Thread: K5 JBPatch
View Single Post
Old 10-11-2012, 12:05 PM   #805
ixtab
(offline)
ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.ixtab ought to be getting tired of karma fortunes by now.
 
ixtab's Avatar
 
Posts: 2,903
Karma: 6677559
Join Date: Dec 2011
Device: K3, K4, K5, KPW, KPW2
Quote:
Originally Posted by arikfunke View Post
How did you determine this? The version information of java on K3 claims:

[root@kindle root]# java -fullversion
Sun CDC Java Client phoneme_advanced-Core-1.3-b03 A2Z-SOW2-CR2-20100225-b01 (built on 01/Sep/2012 14:24 PDT)

Am I using the wrong option flag to determine the java version?
How I determined this? From my own memory/experience, and from what everybody else says online

Just go with Java 1.4, it works.

PS: That version string you are getting may simply be using some other versioning scheme, which isn't related to the JVM version. If it really was JVM 1.3 only, it would refuse to load classes which were compiled for JVM 1.4 - which it doesn't (but it does refuse to load classes which were compiled for Java 5).
ixtab is offline   Reply With Quote